
Redmine - Defect #24869

Circular inclusion detected when including a wiki page with the same name

2017-01-18 21:15 - Michael Esemplare

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 3.2.6   

Resolution: Fixed Affected version: 3.3.2

Description

A Circular inclusion is incorrectly identified when including a page internal to a project with the same name from another project. This

affects version prior to and including 3.3.2. To recreate:

1. Create test-project-1

2. Create wiki page named "IncludedPage" with any contents

3. Create test-project-2

4. Create wiki page named "IncludedPage"; contents include to test-project-1: {{include(test-project-1:IncludedPage)}}

5. Create wiki page named "TestPage"; contents include to local IncludedPage: {{include(IncludedPage)}}

In test-project-2/IncludedPage there is no error, however in test-project-2/TestPage the circular inclusion is detected.

Suggest modifying lib/redmine/wiki_formatting/macros.rb to use page.id instead of page.title.

Associated revisions

Revision 16227 - 2017-01-19 19:32 - Jean-Philippe Lang

Modify circular inclusion test to use page.id instead of page.title (#24869).

Patch by Michael Esemplare.

Revision 16290 - 2017-01-29 11:25 - Jean-Philippe Lang

Merged r16227 (#24869).

Revision 16291 - 2017-01-29 11:25 - Jean-Philippe Lang

Merged r16227 (#24869).

History

#1 - 2017-01-18 21:33 - Michael Esemplare

- File 0001-Modify-circular-inclusion-test-to-use-page.id-instea.patch added

Added patch and recreated on demo.redmine.org

http://demo.redmine.org/projects/test-project-1/wiki

http://demo.redmine.org/projects/test-project-2/wiki/TestPage

#2 - 2017-01-18 21:49 - Michael Esemplare

- File 0002-Modify-circular-inclusion-test-to-use-page.id-instea.patch added

Incorrect patch previously uploaded. Please remove 0001 and use 0002 instead.

#3 - 2017-01-19 00:09 - Go MAEDA

- Category set to Wiki

#4 - 2017-01-19 14:42 - Go MAEDA

- File deleted (0001-Modify-circular-inclusion-test-to-use-page.id-instea.patch)
http://demo.redmine.org/projects/test-project-2/wiki/TestPage


#5 - 2017-01-19 14:45 - Go MAEDA

- File circular-inclusion-error.png added

- Status changed from New to Confirmed

- Target version set to 3.3.3

Confirmed the problem and the patch works fine as expected.

 

#6 - 2017-01-19 19:32 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#7 - 2017-01-29 11:26 - Jean-Philippe Lang

- Subject changed from False Positive: Circular Inclusion Detected for include macro to Circular inclusion detected when including a wiki page with the

same name

- Status changed from Resolved to Closed

- Target version changed from 3.3.3 to 3.2.6

Files

0002-Modify-circular-inclusion-test-to-use-page.id-instea.patch 1.25 KB 2017-01-18 Michael Esemplare

circular-inclusion-error.png 6.62 KB 2017-01-19 Go MAEDA
